Legacy

Legacy: List encounters

Returns an encounter page for the authenticated workspace. Supports external_id, claim_status, limit, and page_token query parameters.

Query Parameters
  • external_id
    Type: string

    Return encounters with this caller-provided external id.

  • claim_status
    • Type: string · enum

      Claim status vocabulary accepted by claim_status and returned on claims.

      values
      • biller_received
      • coded
      • submitted_to_payer
      • missing_information
      • not_billable
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Maximum number of encounters to return. Defaults to 100.

  • page_token
    Type: string

    Pagination cursor returned as next_page_token.

Responses
  • application/json
  • 401

    Missing or invalid API key.

Request Example for get/legacy/encounters
curl 'https://api.withbranches.com/legacy/encounters?external_id=&claim_status=null&limit=25&page_token=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"items": [
{
"encounter_id": "string",
"external_id": "string",
"date_of_service": "string",
"end_date_of_service": "string",
"patient_authorized_release": true,
"benefits_assigned_to_provider": true,
"provider_accepts_assignment": true,